 Rem File: Cmd040.bas
 Rem Sub: Exit.Vehicle
 Rem $Include: 'dndbbs.inc'
 On Error Goto Main.Error
 If Chained<>-2 Then
    Color 15,0
    Print "DNDBBS Command 040 -- Exit.Vehicle."
    Color 7,0
    End
 Endif
 Call Exit.Vehicle
Main.Resume:
 Chain DND.Path+"DNDBBS.EXE"
 End
Main.Error:
 Resume Main.Resume

Sub Exit.Vehicle
 On Local Error Goto Error.Trap14
 Call Check.Room.Items
 If Temp7!<=SFalse Then
    Strng="You can't exit that!"
    Call IO.O
    Exit Sub
 Endif
 If Vehicle1=Temp5! Then
    Call Pack.Vehicles
    Exit Sub
 Endif
 Strng="You can't exit that!"
 Call IO.O
Error.Resume14:
 Exit Sub
Error.Trap14:
 Resume Error.Resume14
End Sub
